This URL gets the signature set automatic update configuration on the Manager.
Resource URL
GET /autoupdateconfiguration/sigset
Request Parameters
None
Response Parameters
Following fields are returned:
| Field Name | Description | Data Type |
|---|---|---|
| automaticDownloadDetails | Contains the details of the automatic download to Manager configuration | Object |
| automaticDeploymentDetails | Contains the details of the automatic deployment to sensor configuration | Object |
Details of fields in automaticDownloadDetails:
| Field Name | Description | Data Type |
|---|---|---|
| enableDownload | Whether the automatic download is enabled | Boolean |
| schedule | Schedule for the update. Values can be following:
|
String |
| startTime | Time when the update should start. It should be in hh:mm format. | String |
| endTime | Time when the update should start. It should be in hh:mm format. | String |
| recur | The recurring duration | String |
Details of fields in automaticDeploymentDetails:
| Field Name | Description | Data Type |
|---|---|---|
| enableDeployInRealTime | Whether the automatic deployment in real time is enabled | Boolean |
| enableDeployAtScheduledInterval | Whether the automatic deployment in scheduled time is enabled | Boolean |
| schedule | Schedule for the update. Values can be following:
|
String |
| startTime | Time when the update should start. It should be in hh:mm format. | String |
| endTime | Time when the update should start. It should be in hh:mm format. | String |
| recur | The recurring duration | String |
Example
Request
GET https://<NSM_IP>/sdkapi/ autoupdateconfiguration/sigset
Response
{
"automaticDownloadDetails":
{
"enableDownload": true,
"schedule": "FREQUENTLY",
"startTime": "0:0",
"endTime": "23:0",
"recur": "10 Hr"
},
"automaticDeploymentDetails":
{
"enableDeployInRealTime": true,
"enableDeployAtScheduledInterval": true,
"schedule": "FREQUENTLY",
"startTime": "7:50",
"endTime": "23:0",
"recur": "10 Min"
}
}
Error Information
None